# Serialized Form

## Package org.osgi.framework

### Class org.osgi.framework.AdaptPermission

class AdaptPermission extends BasicPermission implements Serializable

serialVersionUID:
  1L

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream s) throws IOException, ClassNotFoundException
readObject is called to restore the state of this permission from a stream.

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream s) throws IOException
WriteObject is called to save the state of this permission object to a stream. The actions are serialized, and the superclass takes care of the name.

Throws:
  `IOException`

#### Serialized Fields

##### actions

    String actions

The actions in canonical form.

### Class org.osgi.framework.AdminPermission

class AdminPermission extends BasicPermission implements Serializable

serialVersionUID:
  307051004521261705L

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream s) throws IOException, ClassNotFoundException
readObject is called to restore the state of this permission from a stream.

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream s) throws IOException
WriteObject is called to save the state of this permission object to a stream. The actions are serialized, and the superclass takes care of the name.

Throws:
  `IOException`

#### Serialized Fields

##### actions

    String actions

The actions in canonical form.

### Class org.osgi.framework.BundleEvent

class BundleEvent extends EventObject implements Serializable

serialVersionUID:
  4080640865971756012L

#### Serialized Fields

##### bundle

    Bundle bundle

Bundle that had a change occur in its lifecycle.

##### origin

    Bundle origin

Bundle that was the origin of the event. For install event type, this is the bundle whose context was used to install the bundle. Otherwise it is the bundle itself.

Since:
  1.6

##### type

    int type

Type of bundle lifecycle change.

### Exception Class org.osgi.framework.BundleException

class BundleException extends Exception implements Serializable

serialVersionUID:
  3571095144220455665L

#### Serialized Fields

##### type

    int type

Type of bundle exception.

Since:
  1.5

### Class org.osgi.framework.BundlePermission

class BundlePermission extends BasicPermission implements Serializable

serialVersionUID:
  3257846601685873716L

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream s) throws IOException, ClassNotFoundException
readObject is called to restore the state of the BundlePermission from a stream.

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream s) throws IOException
WriteObject is called to save the state of the `BundlePermission` object to a stream. The actions are serialized, and the superclass takes care of the name.

Throws:
  `IOException`

#### Serialized Fields

##### actions

    String actions

The actions in canonical form.

### Class org.osgi.framework.CapabilityPermission

class CapabilityPermission extends BasicPermission implements Serializable

serialVersionUID:
  -7662148639076511574L

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream s) throws IOException, ClassNotFoundException
readObject is called to restore the state of this permission from a stream.

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream s) throws IOException
WriteObject is called to save the state of this permission to a stream. The actions are serialized, and the superclass takes care of the name.

Throws:
  `IOException`

#### Serialized Fields

##### actions

    String actions

The actions in canonical form.

### Class org.osgi.framework.FrameworkEvent

class FrameworkEvent extends EventObject implements Serializable

serialVersionUID:
  207051004521261705L

#### Serialized Fields

##### bundle

    Bundle bundle

Bundle related to the event.

##### throwable

    Throwable throwable

Exception related to the event.

##### type

    int type

Type of event.

### Exception Class org.osgi.framework.InvalidSyntaxException

class InvalidSyntaxException extends Exception implements Serializable

serialVersionUID:
  -4295194420816491875L

#### Serialized Fields

##### filter

    String filter

The invalid filter string.

### Class org.osgi.framework.PackagePermission

class PackagePermission extends BasicPermission implements Serializable

serialVersionUID:
  -5107705877071099135L

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream s) throws IOException, ClassNotFoundException
readObject is called to restore the state of this permission from a stream.

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream s) throws IOException
WriteObject is called to save the state of this permission object to a stream. The actions are serialized, and the superclass takes care of the name.

Throws:
  `IOException`

#### Serialized Fields

##### actions

    String actions

The actions in canonical form.

### Class org.osgi.framework.ServiceEvent

class ServiceEvent extends EventObject implements Serializable

serialVersionUID:
  8792901483909409299L

#### Serialized Fields

##### reference

    ServiceReference<?> reference

Reference to the service that had a change occur in its lifecycle.

##### type

    int type

Type of service lifecycle change.

### Exception Class org.osgi.framework.ServiceException

class ServiceException extends RuntimeException implements Serializable

serialVersionUID:
  3038963223712959631L

#### Serialized Fields

##### type

    int type

Type of service exception.

### Class org.osgi.framework.ServicePermission

class ServicePermission extends BasicPermission implements Serializable

serialVersionUID:
  -7662148639076511574L

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream s) throws IOException, ClassNotFoundException
readObject is called to restore the state of this permission from a stream.

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream s) throws IOException
WriteObject is called to save the state of this permission to a stream. The actions are serialized, and the superclass takes care of the name.

Throws:
  `IOException`

#### Serialized Fields

##### actions

    String actions

The actions in canonical form.

## Package org.osgi.framework.hooks.weaving

### Exception Class org.osgi.framework.hooks.weaving.WeavingException

class WeavingException extends RuntimeException implements Serializable

serialVersionUID:
  1L

## Package org.osgi.service.resolver

### Exception Class org.osgi.service.resolver.ResolutionException

class ResolutionException extends Exception implements Serializable

serialVersionUID:
  1L